Subject: Re: [PATCH resend] Renesas Ethernet AVB driver

From: <[email-masked]>
Date: Wed, 15 Apr 2015 10:01:05 +0900

On 2015年04月15日 03:30, Richard Cochran wrote:
> On Tue, Apr 14, 2015 at 07:58:18PM +0300, Sergei Shtylyov wrote:
>>
>>     I tried to explain to you that I can't. We enter the device
>> configuration mode (from the operation mode) when e.g. the
>> *Ethernet* device is closed.
>
> Is this a hardware restriction?

Yes

> Logically speaking, the clock has nothing to do with the state of the
> Ethernet interface.  If the clock keeps ticking and you can access
> it, then there is no reason to return EBUSY just because the interface
> is down.

Oddly, This hardware is linked operation mode of the Ethernet I/F with PTP clock.

Best Regards,
Masaru Nagai